<div class="mat-elevation-z8">
  <mat-form-field>
      <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
  </mat-form-field>
  <table mat-table class="full-width-table" matSort aria-label="Elements">
      <!-- Id Column -->
      <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef>Id</th>
          <td mat-cell *matCellDef="let activity">{{activity.id}}</td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>
      <!-- StudentId Column -->
      <ng-container matColumnDef="activityName">
          <th mat-header-cell *matHeaderCellDef>Activity Name</th>
          <td mat-cell *matCellDef="let activity">{{activity.activityName}}</td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>
      <ng-container matColumnDef="ActivityDate">
          <th mat-header-cell *matHeaderCellDef>Date</th>
          <td mat-cell *matCellDef="let activity">{{activity.ActivityDate}}</td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>
      <!-- Name Column -->
      <ng-container matColumnDef="hostTeacher">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Host Teacher</th>
          <td mat-cell *matCellDef="let activity">{{activity.hostTeacher}}</td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>
      <!-- Surname Column -->
      <ng-container matColumnDef="activityLocation">
          <th mat-header-cell *matHeaderCellDef>Location</th>
          <td mat-cell *matCellDef="let activity">{{activity.activityLocation}}</td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>
      <!-- Gpa Column -->
      <ng-container matColumnDef="periodRegistration">
          <th mat-header-cell *matHeaderCellDef>Registration Time</th>
          <td mat-cell *matCellDef="let activity">{{activity.periodRegistration}}</td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>
      <!-- image Column -->
      <ng-container matColumnDef="activityTime">
          <th mat-header-cell *matHeaderCellDef class="center-text">Time</th>
          <td mat-cell *matCellDef="let activity" class="center-text">
              {{activity.activityTime}}
          </td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>

      <ng-container matColumnDef="activityDescription">
          <th mat-header-cell *matHeaderCellDef class="center-text">Description</th>
          <td mat-cell *matCellDef="let activity" class="center-text">
              {{activity.activityDescription}}
          </td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>

      <ng-container matColumnDef="Status">
          <th mat-header-cell *matHeaderCellDef class="center-text">Status</th>
          <td mat-cell *matCellDef="let activity" class="center-text">
              <p>{{activity.Status}}</p>
          </td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>

      <ng-container matColumnDef="Delete">
          <th mat-header-cell *matHeaderCellDef class="center-text">Delete</th>
          <td mat-cell *matCellDef="let activity" class="center-text">
              <button id="submit" mat-raised-button color="warn" type="submit">Delete</button>
          </td>
          <td mat-footer-cell *matFooterCellDef></td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      <tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
  </table>

  <mat-paginator #paginator [length]="dataSource?.data.length" [pageIndex]="0" [pageSize]="50"
      [pageSizeOptions]="[25, 50, 100, 250]">
  </mat-paginator>
</div>